import { defineMessages } from 'react-intl'

/* eslint-disable max-len */
export default defineMessages({
  alias_description: 'Set your node alias to help others connect with you on the Lightning Network',
  alias_title: 'What should we call you?',
  alias_label: 'Alias',
  autopilot_description:
    'Autopilot is an automatic network manager. Instead of manually adding people to build your network to make payments, enable autopilot to automatically connect you to the Lightning Network using 60% of your balance.',
  autopilot_title: 'Autopilot',
  back: 'back',
  cert_description: 'Path to the lnd tls cert. Example: /path/to/tls.cert',
  cert_title: 'TLS Certificate',
  macaroon_title: 'Macaroon',
  confirm_connection_description: 'Confirm the connection details for your Lightning node.',
  confirm_connection_title: 'Confirm connection',
  connection_description: 'Create a new Lightning enabled Bitcoin wallet',
  connection_details_custom_description: 'Enter the connection details for your Lightning node.',
  connection_uri_btcpay_description:
    "Paste the full content of your BTCPay Server connection config file. This can be found by clicking the link entitled 'Click here to open the configuration file' in your BTCPay Server gRPC settings.",
  connection_details_custom_title: 'Connection details',
  connection_details_tab_custom_paths: 'Files',
  connection_details_tab_lndconnect: 'Connection String',
  connection_string_label: 'Connection String',
  connection_string_placeholder: 'BTCPay Server Connection String',
  connection_uri_label: 'Connection String',
  connection_uri_lndconnect_description:
    'Paste an Lnd Connect URI. You can generate one of these using the lndconnect utility. Example: "lndconnect://1.2.3.4:10009?cert=x&macaroon=y"',
  connection_string_invalid: 'Invalid Connection String',
  connection_title: 'How will you connect to the Lightning Network?',
  create_wallet_password_description:
    'Looks like you are new here. Set a password to encrypt your wallet. This password will be needed to unlock Zap in the future',
  create_wallet_password_title: 'Welcome!',
  custom: 'Custom',
  default: 'Default',
  default_description:
    'By selecting the default mode we will do everything for you. Just click and go!',
  disable: 'Disable Autopilot',
  enable: 'Enable Autopilot',
  hostname_description: 'Hostname and port of the Lnd gRPC interface. Example: localhost:10009',
  hostname_title: 'Host',
  import_description: "Recovering a wallet, nice. You don't need anyone else, you got yourself :)",
  import_title: 'Import your seed',
  login_description: 'Please enter your wallet password to unlock it.',
  login_title: 'Welcome back!',
  macaroon_description: 'Path to the lnd macaroon file. Example: /path/to/admin.macaroon',
  network_title: 'Network',
  network_description: 'Select the network your wallet will be connected to',
  network_mainnet: 'Mainnet',
  network_mainnet_description: 'Connect to the live Bitcoin network and use real funds.',
  network_testnet: 'Testnet',
  network_testnet_description: 'Experiment with test bitcoin that has no monetary value.',
  network_warning:
    'WARNING: You may lose your funds. Mainnet support is experimental and has not been thoroughly tested. Use Testnet to experiment without risk.',
  next: 'Next',
  only: 'only',
  password_confirm_placeholder: 'Confirm Password',
  password_error_length: 'Password must be at least {passwordMinLength} characters long',
  password_error_match: 'Passwords do not match',
  password_label: 'Password',
  password_placeholder: 'Enter your password',
  password_description:
    'You would have set your password when first creating your wallet. This is separate from your 24 word seed.',
  retype_seed_description:
    "Your seed is important! If you lose your seed you'll have no way to recover your wallet. To make sure that you have properly saved your seed, please retype words {word1}, {word2} & {word3}",
  retype_seed_title: 'Retype your seed',
  save_seed_description:
    'Please save these 24 words securely! This will allow you to recover your wallet in the future',
  save_seed_title: 'Save your wallet seed',
  seed_warning:
    'Keep this private! If someone gains access to this list they can steal your money.',
  signup_create: 'Create new wallet',
  connection_type_create_label: 'Create',
  connection_type_create_description: 'Create a new wallet',
  connection_type_import_label: 'Recover',
  connection_type_import_description: 'Recover your wallet',
  connection_type_custom_label: 'Connect',
  connection_type_custom_description: 'Connect to your node',
  signup_description: 'Would you like to create a new wallet or import an existing one?',
  signup_import: 'Import existing wallet',
  signup_title: "Alright, let's get set up",
  unlock: 'Unlock',
  unlocking: 'Unlocking',
  verify_host_description: 'Please check the hostname carefully.',
  verify_host_title: 'Are you sure you want to connect to',
  wallet_name_description:
    'Set a name for your wallet to help you identify it in Zap. This is for internal purposes only and will not be broadcast on the Lightning Network.',
  wallet_name_title: 'What do you want to call this wallet?',
  wallet_name_label: 'Wallet Name',
  word_placeholder: 'word',
  generating_seed: 'Generating Seed...',
  importing_wallet: 'Importing wallet...',
})
